package com.pcloud.book.group.biz;

import com.pcloud.book.group.entity.WeworkTeacherFriendRecord;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * 点击加老师好友记录表(WeworkTeacherFriendRecord)表服务接口
 *
 * @author makejava
 * @since 2020-12-25 20:01:43
 */
public interface WeworkTeacherFriendRecordBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    WeworkTeacherFriendRecord getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param weworkTeacherFriendRecord 实例对象
     * @return 主键
     */
    Long insert(WeworkTeacherFriendRecord weworkTeacherFriendRecord);

    /**
     * 修改数据
     *
     * @param weworkTeacherFriendRecord 实例对象
     */
    void update(WeworkTeacherFriendRecord weworkTeacherFriendRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

}